Package ru.bitel.oss.systems.order.product.common.event

# Class ProductOfferingListEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.oss.systems.order.product.common.event.ProductOfferingListEvent

All Implemented Interfaces:
  `java.io.Serializable`, `ErrorReturnableEvent`

    public class ProductOfferingListEvent
    extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ProductOfferingListEvent​(int moduleId, int contractId, int accountId, int userId, java.util.Date dateTime, Contract contract, java.util.Set<java.lang.Integer> tariffIds, java.util.List<Product> currentContractOptionList, boolean onlyAvailable, java.util.List<ProductOffering> productOfferingList)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getAccountId()` |
  `java.util.List<Product>` | `getActiveProductList()` |
  `Contract` | `getContract()` |
  `java.util.Date` | `getDateTime()` |
  `java.util.List<ProductOffering>` | `getProductOfferingList()` |
  `int` | `getSubjectModuleId()` |
  `java.util.Set<java.lang.Integer>` | `getTariffIds()` |
  `boolean` | `isAvailableOnly()` |
  `void` | `setProductOfferingList​(java.util.List<ProductOffering> productOfferingList)` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ProductOfferingListEvent

    public ProductOfferingListEvent​(int moduleId, int contractId, int accountId, int userId, java.util.Date dateTime, Contract contract, java.util.Set<java.lang.Integer> tariffIds, java.util.List<Product> currentContractOptionList, boolean onlyAvailable, java.util.List<ProductOffering> productOfferingList)

- ## Method Details

  - ### getSubjectModuleId

    public int getSubjectModuleId()

  - ### getDateTime

    public java.util.Date getDateTime()

  - ### getContract

    public Contract getContract()

  - ### getAccountId

    public int getAccountId()

  - ### getTariffIds

    public java.util.Set<java.lang.Integer> getTariffIds()

  - ### getActiveProductList

    public java.util.List<Product> getActiveProductList()

  - ### isAvailableOnly

    public boolean isAvailableOnly()

  - ### getProductOfferingList

    public java.util.List<ProductOffering> getProductOfferingList()

  - ### setProductOfferingList

    public void setProductOfferingList​(java.util.List<ProductOffering> productOfferingList)